POST /interaction/v1/interactions/contactMembership

Provides a list of journeys and journey versions for a list of contact keys.

JSON Parameters

Name Type Description
ContactKeyList array Required List of up to 50 contact keys.

Responses

Status Name Type Description
200     ****
  results object An object containing contacts found in a journey and contacts not found in a journey.
  contactMemberships array Contact membership information.
  contactMemberships.contactKey string Contact key that was included in the request.
  contactMemberships.definitionKey string Unique identifier for the journey where the contact was found.
  contactMemberships.Version string Version number of the journey where the contact was found.
  contactsNotFound array List of contacts not found in any journeys in the account.

Usage

To issue a request, you must have the Journey Builder | General, Journey Builder | Automation, and Interaction Studio | Access permissions.

Example Request

Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /interaction/v1/interactions/contactMembership
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
   "ContactKeyList":["ContactKey_1", "ContactKey_2", "ContactKey_3"]
}

Example Response

HTTP/1.1 200 Ok
{
"results" : {
"contactMemberships" : [
    {
        "contactKey" : "ContactKey_1",
        "definitionKey" : "Uniqueue_Key",
        "version" : 1
    }
],
"contactsNotFound" : ["ContactKey_2", "ContactKey_3"]
}
}